Title of the CMD



Some text. Some text. Some text.

×

Example: Some text. Some text. Some text.

ZelCad
Welcome
zlineLength = 45 Zsolid = cq.Workplane("XY").line(zlineLength, 0 ).line(0, 3 ). \ line(6-zlineLength, 0 ).line(10, 15 ).line(-16, 0 ). \ line(0, -3 ).line(10, 0 ) \ .close().extrude(4, both=False) Esolid = cq.Workplane("XY").moveTo(x=8, y=4).line(6, 9 ).line(7, 0 ).line(-1, -2 ) \ .line(-5, 0 ).line(-1, -1.5 ).line(4, 0 ).line(-1, -2 ) \ .line(-4, 0 ).line(-1, -1.5 ).line(4.5, 0 ).line(-1, -2 ) \ .close().extrude(4, both=False).rotate((0, 0, 0),(0, 1, 0), 0) Lsolid = cq.Workplane("XY").moveTo(x=17, y=4).line(5, 9 ).line(2, 0 ).line(-3.5, -7 ) \ .line(5.5, 0 ).line(-0.5, -2 ) \ .close().extrude(4, both=False) csolid = cq.Workplane("XY").moveTo(x=30, y=8.5).circle(4.6).circle(2.5).extrude(4, both=False) Csolidgap = cq.Workplane("XY").moveTo(x=31, y=6.5).rect(8, 4, centered=False).extrude(4, both=False) csolid = csolid.cut(Csolidgap) asolid = cq.Workplane("XY").moveTo(x=33.5, y=4).line(4, 9 ).line(1, 0 ).line(4, -9 ) \ .line(-2, 0 ).line(-1, 1.5 ).line(-3, 0 ).line(-1, -1.5 ) \ .close().extrude(4, both=False).faces('>Z').workplane().move(xDist=0, yDist=0.5).hole(2, depth=None).edges().fillet(0.5) Dheight = 13.5 Dheighthalf = 6.75 Dsolid = cq.Workplane("XY").moveTo(x=zlineLength-2, y=0).rect(2, Dheight, centered=False) \ .extrude(4, both=False) DsolidCircle = cq.Workplane("XY").threePointArc((Dheighthalf, Dheighthalf),(0.0, Dheight)).close().extrude(4, both=False) DsolidCirclesmall = cq.Workplane("XY").moveTo(x=0, y=3).threePointArc(((Dheighthalf)-4, (Dheighthalf)-3),(0.0, Dheight-3)).close().extrude(4, both=False) DsolidCircle = DsolidCircle.cut(DsolidCirclesmall).translate((zlineLength, 0, 0)) DsolidCircle = DsolidCircle.union(Dsolid) Total = DsolidCircle.union(Zsolid) Total = Esolid.union(Total) Total = Lsolid.union(Total) Total = csolid.union(Total) Total = Total.edges().fillet(0.7) Total = asolid.union(Total) disp_object( Total )